# Ogre::AnimationControllerFunction Class Reference

Predefined controller function for dealing with animation. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::AnimationControllerFunction:
[legend]

List of all members.

## Public Member Functions

| AnimationControllerFunction (Real sequenceTime, Real timeOffset=0.0f)
| Constructor.
Real | calculate (Real source)
| Overriden function.
void | setTime (Real timeVal)
| Set the time value manually.
void | setSequenceTime (Real seqVal)
| Set the sequence duration value manually.
virtual T | calculate (T sourceValue)=0

## Protected Member Functions

T | getAdjustedInput (T input)
| Gets the input value as adjusted by any delta.

## Protected Attributes

Real | mSeqTime
Real | mTime
bool | mDeltaInput
| If true, function will add imput values together and wrap at 1.0 before evaluating.
T | mDeltaCount

## Detailed Description

Predefined controller function for dealing with animation.

Definition at line 186 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::AnimationControllerFunction::AnimationControllerFunction | ( | Real | sequenceTime,
|  | Real | timeOffset = `0.0f` |
| ) |  |  |

Constructor.

Parameters:

  | sequenceTime | The amount of time in seconds it takes to loop through the whole animation sequence.
  | timeOffset | The offset in seconds at which to start (default is start at 0)

## Member Function Documentation

Real Ogre::AnimationControllerFunction::calculate | ( | Real | source | ) |

Overriden function.

void Ogre::AnimationControllerFunction::setTime | ( | Real | timeVal | ) |

Set the time value manually.

void Ogre::AnimationControllerFunction::setSequenceTime | ( | Real | seqVal | ) |

Set the sequence duration value manually.

template<typename T>

T Ogre::ControllerFunction< T >::getAdjustedInput | ( | T | input | ) | `[protected, inherited]`

Gets the input value as adjusted by any delta.

Definition at line 60 of file OgreController.h.

template<typename T>

virtual T Ogre::ControllerFunction< T >::calculate | ( | T | sourceValue | ) | `[pure virtual, inherited]`

## Member Data Documentation

Real Ogre::AnimationControllerFunction::mSeqTime`[protected]`

Definition at line 189 of file OgrePredefinedControllers.h.

Real Ogre::AnimationControllerFunction::mTime`[protected]`

Definition at line 190 of file OgrePredefinedControllers.h.

template<typename T>

bool Ogre::ControllerFunction< T >::mDeltaInput`[protected, inherited]`

If true, function will add imput values together and wrap at 1.0 before evaluating.

Definition at line 55 of file OgreController.h.

Referenced by Ogre::ControllerFunction< float >::ControllerFunction(), and Ogre::ControllerFunction< float >::getAdjustedInput().

template<typename T>

T Ogre::ControllerFunction< T >::mDeltaCount`[protected, inherited]`

Definition at line 56 of file OgreController.h.

Referenced by Ogre::ControllerFunction< float >::ControllerFunction(), and Ogre::ControllerFunction< float >::getAdjustedInput().

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:27:59 2008